io.agora.rtc

## Class RemoteVideoStreamInfo

- java.lang.Object
- - io.agora.rtc.RemoteVideoStreamInfo

-     public class RemoteVideoStreamInfo
      extends java.lang.Object

  Information about remote video stream.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private byte` | `currentDownscaleLevel` Current downscale level
    `private byte` | `streamType` Stream type
    `private byte` | `totalDownscaleLevelCounts` Total downscale level counts
    `private int` | `uid` User ID

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemoteVideoStreamInfo()` Default constructor for RemoteVideoStreamInfo.
    `RemoteVideoStreamInfo(int uid, byte streamType, byte currentDownscaleLevel, byte totalDownscaleLevelCounts)` Constructs RemoteVideoStreamInfo with all parameters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte` | `getCurrentDownscaleLevel()` Gets the current downscale level.
    `byte` | `getStreamType()` Gets the stream type.
    `byte` | `getTotalDownscaleLevelCounts()` Gets the total downscale level counts.
    `int` | `getUid()` Gets the user ID.
    `void` | `setCurrentDownscaleLevel(byte currentDownscaleLevel)` Sets the current downscale level.
    `void` | `setStreamType(byte streamType)` Sets the stream type.
    `void` | `setTotalDownscaleLevelCounts(byte totalDownscaleLevelCounts)` Sets the total downscale level counts.
    `void` | `setUid(int uid)` Sets the user ID.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### uid

          private int uid

      User ID

    - #### streamType

          private byte streamType

      Stream type

    - #### currentDownscaleLevel

          private byte currentDownscaleLevel

      Current downscale level

    - #### totalDownscaleLevelCounts

          private byte totalDownscaleLevelCounts

      Total downscale level counts

  - ### Constructor Detail

    - #### RemoteVideoStreamInfo

          public RemoteVideoStreamInfo()

      Default constructor for RemoteVideoStreamInfo.

    - #### RemoteVideoStreamInfo

          public RemoteVideoStreamInfo(int uid,
                                       byte streamType,
                                       byte currentDownscaleLevel,
                                       byte totalDownscaleLevelCounts)

      Constructs RemoteVideoStreamInfo with all parameters.
      Parameters:
        `uid` - User ID
        `streamType` - Stream type
        `currentDownscaleLevel` - Current downscale level
        `totalDownscaleLevelCounts` - Total downscale level counts

  - ### Method Detail

    - #### getUid

          public int getUid()

      Gets the user ID.
      Returns:
        User ID

    - #### setUid

          public void setUid(int uid)

      Sets the user ID.
      Parameters:
        `uid` - User ID

    - #### getStreamType

          public byte getStreamType()

      Gets the stream type.
      Returns:
        Stream type

    - #### setStreamType

          public void setStreamType(byte streamType)

      Sets the stream type.
      Parameters:
        `streamType` - Stream type

    - #### getCurrentDownscaleLevel

          public byte getCurrentDownscaleLevel()

      Gets the current downscale level.
      Returns:
        Current downscale level

    - #### setCurrentDownscaleLevel

          public void setCurrentDownscaleLevel(byte currentDownscaleLevel)

      Sets the current downscale level.
      Parameters:
        `currentDownscaleLevel` - Current downscale level

    - #### getTotalDownscaleLevelCounts

          public byte getTotalDownscaleLevelCounts()

      Gets the total downscale level counts.
      Returns:
        Total downscale level counts

    - #### setTotalDownscaleLevelCounts

          public void setTotalDownscaleLevelCounts(byte totalDownscaleLevelCounts)

      Sets the total downscale level counts.
      Parameters:
        `totalDownscaleLevelCounts` - Total downscale level counts